<?php get_header(); ?>
		
		<div id="archive">
		
				<?php if (have_posts()) : ?>
		
					<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			
					<?php /* If this is a category archive */ if (is_category()) { ?>				
						<h2 class="archive">Entries Tagged as '<?php echo single_cat_title(); ?>'</h2>
					
					<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
						<h2 class="archive">Entries from <?php the_time('F Y'); ?></h2>
					
					<?php /* If this is a search */ } elseif (is_search()) { ?>
						<h2 class="archive">Search Results</h2>
		
				<?php } ?>

				<?php while (have_posts()) : the_post(); ?>
					<div class="post">
						<h3 class="archivetitle"><a href="<?php the_permalink(); ?>" title="Permalink to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
						<p class="meta">Posted under <?php the_category(','); ?> on <?php the_time('F jS, Y'); ?> by <?php the_author(); ?><a href="<?php comments_link(); ?>" class="commentnumber"><?php comments_number('0 comments','1 Comment','% Comments'); ?></a></p>
						<?php the_excerpt(); ?>
					</div>
			
				<?php endwhile; ?>
				
				<div class="navigation">
					<p class="previous"><?php previous_posts_link('Previous Entries') ?></p>
					<p class="next"><?php next_posts_link('Next Entries') ?></p>
				</div>
	
				<?php else : ?>
			
					<h2 class="center">Not Found</h2>
					<?php include (TEMPLATEPATH . '/searchform.php'); ?>
			
				<?php endif; ?>
				
			</div>
		
		<?php get_sidebar(); ?>
			
		</div>
		
<?php get_footer(); ?>