
<?php


class newsday {

		// This is the custom excerpt function from Hemingway, a theme developed by Kyle Neath
		// If you see Kyle on the street, tell him he writes killer code!

		function get_excerpt(){
				global $post;
				
				$max_length = 75; // Maximum words.
				
				// If they've manually put in an excerpt, let it go!
				if ($post->post_excerpt) return $post->post_excerpt;
				
				// Check to see if it's a password protected post
				if ($post->post_password) {
						if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {
								if(is_feed()) {
										return __('This is a protected post');
								} else {
										return  get_the_password_form();
								}
						}
				}
				
				if( strpos($post->post_content, '<!--more-->') ) { // There's a more link
            $temp_ex = explode('<!--more-->', $post->post_content, 2);
            $excerpt =  $temp_ex[0];
        } else {
            $temp_ex = explode(' ', $post->post_content);  // Split up the spaces
						$length = count($temp_ex) < $max_length ? count($temp_ex) : $max_length;
						for ($i=0; $i<$length; $i++) $excerpt .= $temp_ex[$i] . ' ';
        }
        
				
				$excerpt = balanceTags($excerpt);
				$excerpt = apply_filters('the_excerpt', $excerpt);
				
				return $excerpt;
				
			}
			

}
?>